Package org.kapott.hbci.GV

# Class GVVoP

java.lang.Object
org.kapott.hbci.GV.HBCIJobImpl<GVRVoP>
org.kapott.hbci.GV.GVVoP

All Implemented Interfaces:
  `HBCIJob<GVRVoP>`

public class GVVoP extends HBCIJobImpl<GVRVoP>
Der Geschaeftsvorfall für den VoP-Prüfauftrag.

## Field Summary

### Fields inherited from class org.kapott.hbci.GV.HBCIJobImpl

`jobResult`

## Constructor Summary

Constructors
Constructor
Description
`GVVoP(HBCIHandler handler)`
ct.

## Method Summary

Modifier and Type
Method
Description
`protected void`
`extractResults(HBCIMsgStatus msgstatus, String header, int idx)`
`static String`
`getLowlevelName()`
Liefert den Lowlevel-Namen.
`void`
`setDialogContext(DialogContext ctx)`
Speichert den Dialog-Context.
`void`
`setParam(String paramName, String value)`
Setzen eines Job-Parameters.
`void`
`setTask(HBCIJobImpl task)`
Speichert eine Referenz auf den eigentlichen Geschaeftsvorfall.
`protected boolean`
`skipBPDCheck()`
Liefert true, wenn die Prüfung der BPD übersprungen werden soll.

### Methods inherited from class org.kapott.hbci.GV.HBCIJobImpl

`acceptsParam, addConstraint, addConstraint, addSignaturePassport, addToQueue, addToQueue, applyOffset, canNationalAcc, checkAccountCRC, createJobSegment, createJobSegment, fillJobResult, fillJobResultFromTanJob, getChallengeParam, getExternalId, getHBCICode, getJobName, getJobParameterNames, getJobRestrictions, getJobResult, getJobResultNames, getLowlevelParam, getLowlevelParams, getMainPassport, getMaxNumberPerMsg, getMinSigs, getName, getOrderAccount, getParentHandler, getSecurityClass, getSegVersion, getSignaturePassports, haveTan, haveVoP, redo, redoAllowed, saveReturnValues, setExternalId, setIdx, setLowlevelParam, setParam, setParam, setParam, setParam, setParam, setParam, setParam, setParam, setSegVersion, skip, skipped, tanApplied, twoDigitValueInList, verifyConstraints, vopApplied`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### GVVoP

public GVVoP(HBCIHandler handler)
ct.

Parameters:
  `handler` -

## Method Details

### getLowlevelName

public static String getLowlevelName()
Liefert den Lowlevel-Namen.

Returns:
  der Lowlevel-Name.

### setTask

public void setTask(HBCIJobImpl task)
Speichert eine Referenz auf den eigentlichen Geschaeftsvorfall.

Parameters:
  `task` -

### setDialogContext

public void setDialogContext(DialogContext ctx)
Speichert den Dialog-Context.

Parameters:
  `ctx` - der Dialog-Context.

### skipBPDCheck

protected boolean skipBPDCheck()
Description copied from class: `HBCIJobImpl`
Liefert true, wenn die Prüfung der BPD übersprungen werden soll.

Overrides:
  `skipBPDCheck` in class `HBCIJobImpl<GVRVoP>`
Returns:
  true, wenn die Prüfung der BPD übersprungen werden soll.
See Also:
  - `HBCIJobImpl.skipBPDCheck()`

### setParam

public void setParam(String paramName, String value)
Description copied from class: `HBCIJobImpl`

Setzen eines Job-Parameters. Für alle Highlevel-Jobs ist in der Package-Beschreibung zum Package `org.kapott.hbci.GV` eine Auflistung aller Jobs und deren Parameter zu finden. Für alle Lowlevel-Jobs kann eine Liste aller Parameter entweder mit dem Tool `ShowLowlevelGVs` oder zur Laufzeit durch Aufruf der Methode `HBCIHandler.getLowlevelJobParameterNames(String)` ermittelt werden.

Bei Verwendung dieser oder einer der anderen `setParam()`-Methoden werden zusätzlich einige der Job-Restriktionen (siehe `HBCIJobImpl.getJobRestrictions()`) analysiert. Beim Verletzen einer der überprüften Einschränkungen wird eine Exception mit einer entsprechenden Meldung erzeugt. Diese Überprüfung findet allerdings nur bei Highlevel-Jobs statt.

Specified by:
  `setParam` in interface `HBCIJob<GVRVoP>`
Overrides:
  `setParam` in class `HBCIJobImpl<GVRVoP>`
Parameters:
  `paramName` - der Name des zu setzenden Parameters.
  `value` - Wert, auf den der Parameter gesetzt werden soll
See Also:
  - `HBCIJobImpl.setParam(java.lang.String, java.lang.String)`

### extractResults

protected void extractResults(HBCIMsgStatus msgstatus, String header, int idx)

Overrides:
  `extractResults` in class `HBCIJobImpl<GVRVoP>`
See Also:
  - `HBCIJobImpl.extractResults(org.kapott.hbci.status.HBCIMsgStatus, java.lang.String, int)`